<?php
// Включаем отображение всех ошибок
ini_set('display_errors', 1);
// Устанавливаем максимальный уровень отчета об ошибках
error_reporting(E_ALL);

// Параметры подключения к базе данных
$host = 'localhost';
$dbname = 'k123263_hook';
$username = 'k123263_hook_use';
$password = '2024Brs!2024';
// Параметры подключения к базе данных
$conn = new mysqli('localhost', 'k123263_hook_use', '2024Brs!2024', 'k123263_hook');
$conn->set_charset("utf8mb4");

// Проверяем соединение
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// SQL-запрос для выборки данных
$sql = "SELECT event_date, message_from, message_to, message_body 
FROM webhook_events 
ORDER BY event_date DESC;
";
$result = $conn->query($sql);

echo '<!DOCTYPE html>
<html>
<head>
    <title>Informe de evento</title>
    <style>
        body { font-family: Arial, sans-serif; margin: 0; padding: 0; }
        table { width: 100%; border-collapse: collapse; }
        th, td { border: 1px solid #ddd; padding: 8px; text-align: left; }
        th { background-color: #f2f2f2; }
    </style>
</head>
<body>';

echo '<h2>Reporte de eventos en el sistema de información</h2>';
echo '<table>';
echo '<tr><th>Дата</th><th>Remitente</th><th>Recipiente</th><th>Mensaje</th></tr>';

if ($result->num_rows > 0) {
    // Выводим данные каждой строки
    while($row = $result->fetch_assoc()) {
        echo "<tr><td>" . $row["event_date"]. "</td><td>" . $row["message_from"]. "</td><td>" . $row["message_to"]. "</td><td>" . htmlspecialchars($row["message_body"]). "</td></tr>";
    }
} else {
    echo "<tr><td colspan='4'>No hay resultados</td></tr>";
}

echo '</table>';
echo '</body></html>';

$conn->close();
?>
